﻿Clear-Host

#Set printing property
$ReportPrefix = "NPMS_PK_"
$ReportSuffix = ".PDF"
$PrinterName = "Brother HL-1110 series"

Function CallReport($Type) {
    $HostUrl = "http://localhost:8090"
    $Url = "$HostUrl/api/Batch/PrintPicking/$Type"
    $Body = @(
        @{
            ReportPrefix = $ReportPrefix
            ReportSuffix = $ReportSuffix
            PrinterName = $PrinterName
        }
    ) | ConvertTo-Json

    Invoke-WebRequest -Method Post -Uri $Url -ContentType "application/json" -Body $Body -UseBasicParsing
}

CallReport "PICK_CASH" #PICK_CASH, PICK_NOCASH_1 or PICK_NOCASH_2
