﻿using System;
using System.Collections.Generic;
using System.Data;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using SYS_Core.aControl;

namespace SYSCore.Models
{
    public class PickGroup
    {
        public PickGroup(DataTable pickheader, DataTable pickdetail)
        {
            //pickHeader = pickheader.Rows.Count > 0 ? pickheader.Rows[0] : null;
            var jArray = ConvertToObject(pickheader);
            pickHeader = jArray[0];
            pickDetail = ConvertToObject(pickdetail);
        }

        public JToken pickHeader { get; }
        public JArray pickDetail { get; }

        private JArray ConvertToObject(DataTable dataTable)
        {
            return JArray.FromObject(dataTable, JsonSerializer.CreateDefault(new JsonSerializerSettings { NullValueHandling = NullValueHandling.Ignore }));
        }
    }
}
