﻿Clear-Host

#Set printing property
$ReportPrefix = "NPMS_INV_"
$ReportSuffix = ".PDF"
$PrinterName = "Microsoft XPS Document Writer"

Function CallReport() {
    $HostUrl = "http://localhost:8090"
    $Url = "$HostUrl/api/Batch/PrintInvoices"
    $Body = @(
        @{
            ReportPrefix = $ReportPrefix
            ReportSuffix = $ReportSuffix
            PrinterName = $PrinterName
            Width = "1200"
            Height = "850"
        }
    ) | ConvertTo-Json

    Invoke-WebRequest -Method Post -Uri $Url -ContentType "application/json" -Body $Body -UseBasicParsing
}

CallReport
